using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.SC
{
    [Description("文件库")]
    public class T_SC_DOCUMENT_LIBRARY : MesEntityBase
    {
        [Description("模块")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string MODULE { get; set; }
        [Description("表单")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string FORM { get; set; }

        [Description("文件名称")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string FILE_NAME { get; set; }
        [Description("附件取值字段")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string VALUE_FIELD { get; set; }

        [Description("文件类型")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string FILE_TYPE { get; set; }

        [Description("有效日期")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public DateTime VALID_TIME { get; set; }
        [Description("文件附件")]
        [FormFieldEdit]
        public ICollection<T_SC_DOCUMENT_LIBRARY_DETAIL> Nav_Details { get; set; }
    }
}
